viewer3D {AutoDeskR} | R Documentation

## Launch the Viewer.

### Description

Launch the Viewer.

### Usage

    viewer3D(urn = NULL, token = NULL, viewerType = "header")

### Arguments

`urn` | A string. Source URN (objectId) for the file. Note the URN must be Base64 encoded. To encode the URN, see, for example, the `jsonlite::base64_enc` function.
`token` | A string. Token generated with `getToken` function with `data:read` scope.
`viewerType` | A string. The type of viewer to instantiate. Either "header" for the default viewer, "headless" for a viewer without toolbar or panels, or "vr" to enter WebVR mode on a mobile device.

### See Also

https://developer.autodesk.com/en/docs/viewer/v2/overview/

### Examples

    ## Not run:
    # View the "aerial.dwg" file in the AutoDesk viewer
    myEncodedUrn <- jsonlite::base64_enc(myUrn)
    viewer3D(urn <- myEncodedUrn, token = myToken)

    ## End(Not run)

[Package AutoDeskR version 0.1.3 Index]